/*
 *	Copyright (C) 2007. PARP Research Group.
 *	<http://perception.inf.um.es>
 *	University of Murcia, Spain.
 *
 *	This file is part of the QVision library.
 *
 *	QVision is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU Lesser General Public License as
 *	published by the Free Software Foundation, version 3 of the License.
 *
 *	QVision is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU Lesser General Public License for more details.
 *
 *	You should have received a copy of the GNU Lesser General Public
 *	License along with QVision. If not, see <http://www.gnu.org/licenses/>.
 */

/// @file qvimagecanvas.h
/// @brief File from the QVision library.
/// @author PARP Research Group. University of Murcia, Spain.

#ifndef QVIMAGECANVAS_H
#define QVIMAGECANVAS_H

#include <qvgui/qvcanvas.h>
#include <qvcore/qvpropertyholder.h>

/// \cond Not documented By now
class QVImageCanvas: public QVCanvas, public QVPropertyHolder
{
	Q_OBJECT
public:
	QVImageCanvas(const QString name, bool rgb, bool isFloat=FALSE, int w=200,int h=100,QWidget *parent=0);
	void viewer();
	void setLowHigh(float low,float high);

private:
	bool _rgb,_isFloat;
	float _low,_high;
};
/// \endcond Not documented By now
#endif
